%define name    xmms-normalize
%define version 0.8.1
%define release %mkrel 10

Summary: Normalizing plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
URL: http://volnorm.sourceforge.net/ 
Source: volnorm-%{version}.tar.bz2 
License: GPL
Requires: xmms >= 1.0.1
BuildRequires: xmms-devel 
BuildRequires: xmms
BuildRoot: %{_tmppath}/%{name}-buildroot
Provides: volnorm
Obsoletes: volnorm

%description
Volume Normalizer is an XMMS plugin that will set the volume of any played
song to some preset level. It ensures that all songs will have the same
volume and you will not need to hit the volume knob for each song.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n volnorm-%{version}/

%build

%configure2_5x --enable-one-plugin-dir
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xmms/Effect/
install -m 755 src/.libs/*.so $RPM_BUILD_ROOT%{_libdir}/xmms/Effect/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README RELEASE TODO NEWS ChangeLog BUGS 
%doc COPYING 
%{_libdir}/xmms/*/*.so



%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.1-10mdv2009.0
+ Revision: 262595
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.1-9mdv2009.0
+ Revision: 257453
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.8.1-7mdv2008.1
+ Revision: 130404
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel


* Wed Apr 20 2005 Lenny Cartier <lenny@mandriva.com> 0.8.1-7mdk
- rebuild

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-6mdk
- fix buildrequires

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-5mdk
- provide and obsolete volnorm

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-4mdk
- fix configure macro
- fix buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-3mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-2mdk
- rebuild

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- fix buildrequires

* Fri Feb 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- upgraded to 0.4.1

* Thu Oct 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- update to 0.3.5 from rufus t firefly <rufus.t.firefly@linux-mandrake.com>

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- update to 0.3.4 from rufus t firefly <rufus.t.firefly@linux-mandrake.com>

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- used srpm from rufus t firefly :
	Fri Sep 15 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
	- v0.3.1-1mdk

* Thu Sep 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
- v0.3-1mdk

* Thu Aug 31 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
- v0.2-1mdk
  - bz2 archive

